"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const utils_1 = require("../../utils");
const useQuizSkipClick = (quizApiState, quizLocalState, dispatchLocalState, onQuizSkipQuestion) => {
    const quizSkipClickHandler = (0, react_1.useCallback)(() => {
        var _a;
        const currentQuestion = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.next_question;
        const currentQuestionId = currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.id;
        if (dispatchLocalState && currentQuestionId) {
            if (!((currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.type) === 'cover')) {
                dispatchLocalState({
                    type: actions_1.QuestionTypes.Skip,
                    payload: quizApiState.quizCurrentQuestion,
                });
            }
            const currentAnswerInput = Object.assign(Object.assign({}, quizLocalState.answerInputs[currentQuestionId]), { value: (currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.type) === 'open' ? 'false' : null });
            if (currentQuestion && (0, utils_1.isFunction)(onQuizSkipQuestion)) {
                onQuizSkipQuestion(Object.assign(Object.assign({}, currentQuestion), { answer: currentAnswerInput }));
            }
        }
    }, [
        dispatchLocalState,
        onQuizSkipQuestion,
        quizApiState.quizCurrentQuestion,
        quizLocalState.answerInputs,
    ]);
    return quizSkipClickHandler;
};
exports.default = useQuizSkipClick;
