import { useCallback } from 'react';
export default function useAddToFavoritesButtonProps(addToFavorites, favoriteItems) {
    const isResultFavorited = (result) => result?.data?.id && favoriteItems?.includes(result?.data?.id);
    const getAddToFavoritesButtonProps = useCallback((result, price) => ({
        className: `${'cio-result-card-favorites-button'} ${isResultFavorited(result) ? 'favorited' : ''}`,
        onClick: (e) => {
            addToFavorites(e, result, price, !isResultFavorited(result));
        },
        type: 'button',
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [addToFavorites]);
    return getAddToFavoritesButtonProps;
}
