import { useCallback } from 'react';
export default function useSkipQuestionButtonProps(skipQuestion, quizApiState) {
    const getSkipQuestionButtonProps = useCallback(() => {
        const currentQuestionId = quizApiState.quizCurrentQuestion?.next_question?.id;
        const isHidden = currentQuestionId &&
            (quizApiState.quizCurrentQuestion?.isCoverQuestion ||
                !quizApiState.quizCurrentQuestion?.next_question.is_skippable);
        return {
            className: isHidden ? 'cio-question-skip-button hide' : 'cio-question-skip-button',
            type: 'button',
            onClick: () => {
                skipQuestion();
            },
        };
    }, [quizApiState.quizCurrentQuestion, skipQuestion]);
    return getSkipQuestionButtonProps;
}
