import useQuizApiState from './useQuizApiState';
import useQuizLocalState from './useQuizLocalState';
import useSessionStorageState from './useSessionStorageState';
const useQuizState = (quizOptions, cioClient) => {
    const { sessionStateOptions, enableHydration } = quizOptions;
    // Quiz Local state
    const { quizLocalState, dispatchLocalState } = useQuizLocalState();
    // Quiz Session Storage state
    const { skipToResults, quizSessionStorageStateKey, hasSessionStorageState } = useSessionStorageState(quizLocalState, sessionStateOptions, enableHydration === undefined ? true : enableHydration);
    // Quiz API state
    const { quizApiState, dispatchApiState } = useQuizApiState(quizOptions, cioClient, quizLocalState, skipToResults, dispatchLocalState);
    return {
        quizApiState,
        quizLocalState,
        dispatchApiState,
        dispatchLocalState,
        quizSessionStorageState: {
            skipToResults,
            key: quizSessionStorageStateKey,
            hasSessionStorageState,
        },
    };
};
export default useQuizState;
